Paralogistic {VGAM} | R Documentation

## The Paralogistic Distribution

### Description

Density, distribution function, quantile function and random generation for the paralogistic distribution with shape parameter `a` and scale parameter `scale`.

### Usage

    dparalogistic(x, scale = 1, shape1.a, log = FALSE)
    pparalogistic(q, scale = 1, shape1.a, lower.tail = TRUE, log.p = FALSE)
    qparalogistic(p, scale = 1, shape1.a, lower.tail = TRUE, log.p = FALSE)
    rparalogistic(n, scale = 1, shape1.a)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1`, the length is taken to be the number required.
`shape1.a` | shape parameter.
`scale` | scale parameter.
`log` | Logical. If `log=TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `paralogistic`, which is the VGAM family function for estimating the parameters by maximum likelihood estimation.

### Value

`dparalogistic` gives the density, `pparalogistic` gives the distribution function, `qparalogistic` gives the quantile function, and `rparalogistic` generates random deviates.

### Note

The paralogistic distribution is a special case of the 4-parameter generalized beta II distribution.

### Author(s)

T. W. Yee and Kai Huang

### References

Kleiber, C. and Kotz, S. (2003) Statistical Size Distributions in Economics and Actuarial Sciences, Hoboken, NJ, USA: Wiley-Interscience.

### See Also

`paralogistic`, `genbetaII`.

### Examples

    pdata <- data.frame(y = rparalogistic(n = 3000, scale = exp(1), exp(2)))
    fit <- vglm(y ~ 1, paralogistic(lss = FALSE, ishape1.a = 4.1),
                data = pdata, trace = TRUE)
    coef(fit, matrix = TRUE)
    Coef(fit)

[Package VGAM version 1.0-4 Index]